# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Public Member Functions | Protected Member Functions | Private Attributes
dirac::MemoryStreamOutput Class Reference

`#include <pic_io.h>`

List of all members.

## Classes
class | OutputMemoryBuffer
| local memory buffer More...

## Public Member Functions
| MemoryStreamOutput (SourceParams &sparams, bool interlace)
| Constructor.
| ~MemoryStreamOutput ()
| Destructor.
SourceParams & | GetSourceParams ()
| Get source parameters.
StreamPicOutput * | GetStream ()
void | SetMembufReference (unsigned char *buf, int buf_size)
| Set the memory buffer to write the data to.

## Protected Member Functions
| MemoryStreamOutput ()
| Body-less default Constructor.
| MemoryStreamOutput (const MemoryStreamOutput &)
| Body-less copy constructor.
MemoryStreamOutput & | operator= (const MemoryStreamOutput &)
| Body-less assignment operator.

## Private Attributes
OutputMemoryBuffer | m_membuf
| Output stream Memory buffer.
std::ostream * | m_op_pic_ptr
| Physical Output stream.
StreamPicOutput * | m_op_pic_str
| Pic output Stream.

## Detailed Description

Outputs pictures to a memory buffer

## Constructor & Destructor Documentation

dirac::MemoryStreamOutput::MemoryStreamOutput | ( | SourceParams & | sparams,
|  | bool | interlace
| ) |  |

dirac::MemoryStreamOutput::~MemoryStreamOutput | ( |  | ) |

dirac::MemoryStreamOutput::MemoryStreamOutput | ( |  | ) |
| protected

dirac::MemoryStreamOutput::MemoryStreamOutput | ( | const MemoryStreamOutput & |  | ) |
| protected

## Member Function Documentation

SourceParams& dirac::MemoryStreamOutput::GetSourceParams | ( |  | ) |
| inline

References dirac::StreamPicOutput::GetSourceParams(), and m_op_pic_str.

StreamPicOutput* dirac::MemoryStreamOutput::GetStream | ( |  | ) |
| inline

References m_op_pic_str.

MemoryStreamOutput& dirac::MemoryStreamOutput::operator= | ( | const MemoryStreamOutput & |  | ) |
| protected

void dirac::MemoryStreamOutput::SetMembufReference | ( | unsigned char * | buf,
|  | int | buf_size
| ) |  |

## Member Data Documentation

OutputMemoryBuffer dirac::MemoryStreamOutput::m_membuf
| private

std::ostream* dirac::MemoryStreamOutput::m_op_pic_ptr
| private

StreamPicOutput* dirac::MemoryStreamOutput::m_op_pic_str
| private

Referenced by GetSourceParams(), and GetStream().

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.